#
# spec file for package jed
#
# Copyright (c) 2025 SUSE LLC
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jed
BuildRequires:  slang-devel
Requires:       slang-slsh
Version:        0.99.19
Release:        1.1
URL:            http://www.jedsoft.org
License:        GPL-2.0-only
Summary:        Small editor
Source:         %{name}-0.99-19.tar.bz2
Patch0:         %{name}-0.99-19.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JED text editor

%prep
%autosetup -p1 -n %{name}-0.99-19

%build
slanginc=/usr/include
%configure --prefix=/usr --datadir=%{_datadir} --with-slanglib=%{_libdir} --with-slanginc=$slanginc
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-script
%dir %{_datadir}/jed
%{_datadir}/jed
%{_mandir}/man?/*

%changelog
* Fri Jan  3 2025 Richard Rahl <rrahl0@opensuse.org>
- adapt spec file for newer Tumbleweed:
  * use autosetup
  * adapt license
  * use macros
* Wed Feb 22 2012 kkaempf@suse.com
- Require slang-slsh
* Tue Feb  9 2010 kkaempf@novell.com
- Update to 0.99-19
  Over 200 changes since 0.99-18
    see ftp://space.mit.edu/pub/davis/jed/v0.99/changes.txt
* Thu Aug 30 2007 kkaempf@suse.de
- Initial version 0.99-18
